Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2008 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.commerce.ebusiness.price.quote
Class QuoteException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  com.beasys.commerce.foundation.exception.FatalApplicationException
                      com.bea.commerce.ebusiness.price.quote.QuoteException

All Implemented Interfaces
  MessageCatalogException, Serializable

Direct Known Subclasses:
  CurrencyMismatchException, MinimumPriceException

Deprecated See BEA Commerce product offering

    @Deprecated
    public class QuoteException

extends FatalApplicationException

A QuoteException indicates a failure within the quote package.

See Also
  `ApplicationException`, Serialized Form

Field Summary
`static String` | `MESSAGE_KEY` Deprecated See BEA Commerce product offering
`static String` | `MESSAGE_NAMESPACE` Deprecated See BEA Commerce product offering

Fields inherited from class com.beasys.commerce.foundation.exception.FatalApplicationException
`embeddedException, logMessages, userMessages`

Constructor Summary
`QuoteException(Object argument)` Deprecated See BEA Commerce product offering
`QuoteException(String messageKey)` Deprecated See BEA Commerce product offering
`QuoteException(String messageKey, Exception exception)` Deprecated See BEA Commerce product offering
`QuoteException(String messageKey, Object argument)` Deprecated See BEA Commerce product offering
`QuoteException(String messageKey, Object[] arguments)` Deprecated See BEA Commerce product offering

Method Summary

Methods inherited from class com.beasys.commerce.foundation.exception.FatalApplicationException
`addLogMessage, addLogMessage, addLogMessage, addMessage, addMessage, addMessage, addUserMessage, addUserMessage, addUserMessage, getEmbeddedException, getLocalizedMessage, getLogMessage, getLogMessages, getMessage, getUserMessage, getUserMessages, toString`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### MESSAGE_NAMESPACE

    public static final String MESSAGE_NAMESPACE

  Deprecated See BEA Commerce product offering
  The name of the resource bundle

  See Also
    Constants Summary

### MESSAGE_KEY

    public static final String MESSAGE_KEY

  Deprecated See BEA Commerce product offering
  See Also
    Constants Summary

Constructor Detail

### QuoteException

    public QuoteException(Object argument)

  Deprecated See BEA Commerce product offering

  Class constructor taking an argument for the message. Uses the QuoteException.MESSAGE_KEY

  Parameters
    `argument` - parameter to the message catalog.

### QuoteException

    public QuoteException(String messageKey)

  Deprecated See BEA Commerce product offering

  Class constructor taking a message key for the message.

  Parameters
    `messageKey` - The associated catalog message key.

### QuoteException

    public QuoteException(String messageKey,
                          Exception exception)

  Deprecated See BEA Commerce product offering

  Class constructor taking key of the associated catalog message and an embedded exception.

  Parameters
    `messageKey` - The associated catalog message key.
    `exception` - The embedded exception.

### QuoteException

    public QuoteException(String messageKey,
                          Object argument)

  Deprecated See BEA Commerce product offering

  Class constructor taking key of the associated catalog message and a message parameter substitution argument.

  Parameters
    `messageKey` - The associated catalog message key.
    `argument` - The message parameter substitution argument.

### QuoteException

    public QuoteException(String messageKey,
                          Object[] arguments)

  Deprecated See BEA Commerce product offering

  Class constructor taking key of the associated catalog message and message parameter substitution arguments.

  Parameters
    `messageKey` - The associated catalog message key.
    `arguments` - The message parameter substitution arguments.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 BEA Systems, Inc. All Rights Reserved